package com.bonus.sgzb.app.service;

import com.bonus.sgzb.app.domain.LeaseApplyDetails;

import java.util.List;
    /**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

public interface LeaseApplyDetailsService{

    int deleteByParentId(String parentId);

    int deleteByPrimaryKey(Integer id);

    int insert(LeaseApplyDetails record);

    int insertOrUpdate(LeaseApplyDetails record);

    int insertOrUpdateSelective(LeaseApplyDetails record);

    int insertSelective(LeaseApplyDetails record);

    LeaseApplyDetails selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LeaseApplyDetails record);

    int updateByPrimaryKey(LeaseApplyDetails record);

    int updateBatch(List<LeaseApplyDetails> list);

    int updateBatchSelective(List<LeaseApplyDetails> list);

    int batchInsert(List<LeaseApplyDetails> list);

}
